
entityBaseName = "gun-turret"

-- A dash is seen as a lua-specific character with a meaning.
escapedEntityBaseName = "gun%-turret"

upgradeNames = {"range", "health", "armor"}

-- Entities.
upgrades = {
	[1] = {
		upgradeName = "range",
		-- Change its range parameter.
		valueName = "attack_parameters.range",
		-- The values to change it to.
		-- The first value is the value it starts at.
		values = {17, 18, 19, 20, 21, 22},
	},
	[2] = {
		upgradeName = "health",
		valueName = "max_health",
		values = {200, 250, 300, 350, 400, 450},
	},
	[3] = {
		upgradeName = "armor",
		set = function(entity, value)
			for _, res in pairs(entity.resistances) do
				res.decrease = value[1]
				res.percent = value[2]
			end
		end,
		values = {{0, 0}, {0, 10}, {1, 20}, {2, 30}},
	},
}

-- Technologies:
baseTechRequirements = {"turrets"}
technologies = { -- Name, amount, time, numRed, numGreen, numBlue, numPurple.
					{"range", 100, 30, 1},
					{"range", 150, 30, 1, 1},
					{"range", 100, 60, 2, 2, 1},
					{"range", 150, 60, 2, 2, 1},
					{"range", 200, 60, 2, 2, 1, 1},
					
					{"health", 100, 30, 1},
					{"health", 150, 30, 1, 1},
					{"health", 100, 60, 2, 2, 1},
					{"health", 150, 60, 2, 2, 1},
					{"health", 200, 60, 2, 2, 1, 1},
					
					{"armor", 50, 30, 1},
					{"armor", 150, 30, 1, 1},
					{"armor", 250, 60, 1, 1, 1},
				}